Skip to main content
GET
/
organizations
/
{organization}
Get an organization
curl --request GET \
  --url https://api.planetscale.com/v1/organizations/{organization} \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "name": "<string>",
  "billing_email": "<string>",
  "created_at": "<string>",
  "updated_at": "<string>",
  "plan": "<string>",
  "valid_billing_info": true,
  "sso": true,
  "sso_directory": true,
  "single_tenancy": true,
  "managed_tenancy": true,
  "has_past_due_invoices": true,
  "database_count": 123,
  "sso_portal_url": "<string>",
  "features": {},
  "idp_managed_roles": true,
  "invoice_budget_amount": "<string>",
  "keyspace_shard_limit": 123,
  "has_card": true,
  "payment_info_required": true
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

organization
string
required

Organization name slug from list_organizations. Example: acme.

Response

Returns an organization

id
string
required

The ID for the organization

name
string
required

The name of the organization

billing_email
string
required

The billing email of the organization

created_at
string
required

When the organization was created

updated_at
string
required

When the organization was last updated

plan
string
required

The billing plan of the organization

valid_billing_info
boolean
required

Whether or not the organization's billing information is valid

sso
boolean
required

Whether or not SSO is enabled on the organization

sso_directory
boolean
required

Whether or not the organization uses an SSO directory

single_tenancy
boolean
required

Whether or not the organization has single tenancy enabled

managed_tenancy
boolean
required

Whether or not the organization has managed tenancy enabled

has_past_due_invoices
boolean
required

Whether or not the organization has past due billing invoices

database_count
integer
required

The number of databases in the organization

sso_portal_url
string
required

The URL of the organization's SSO portal

features
object
required

Features that can be enabled on the organization

idp_managed_roles
boolean
required

Whether or not the IdP provider is be responsible for managing roles in PlanetScale

invoice_budget_amount
string
required

The expected monthly budget for the organization

keyspace_shard_limit
integer
required

The keyspace shard limit for the organization

has_card
boolean
required

Whether or not the organization has a payment method on file

payment_info_required
boolean
required

Whether or not the organization requires payment information